# alle Bilder im Directory "eingabe"
# verkleinern in ausgbabe
from PIL import Image
import os,sys
#files = ['a.jpg','b.jpg','c.jpg']; sizes = [(120,120), (720,720), (1600,1600)]
#sizes =[(300,300)]
sizes =[(300,300),(350,350)]

path = "eingabe"
path2="ausgabe/"
files = [i for i in os.listdir(path) if (i.endswith('.jpg') or  i.endswith('.png'))] #2


#===============
def PasteImage(source, target, pos):

    # Usage:
    # tgtimg = PIL.Image.open('my_target_image.png')
    # srcimg = PIL.Image.open('my_source_image.jpg')
    # newimg = PasteImage(srcimg, tgtimg, (5, 5))
    # newimg.save('some_new_image.png')
    #

    smap = source.load()
    tmap = target.load()
    for i in range(pos[0], pos[0] + source.size[0]): # Width
        for j in range(pos[1], pos[1] + source.size[1]): # Height
            # For the paste position in the image the position from the top-left
            # corner is being used. Therefore 
            # range(pos[x] - pos[x], pos[x] + source.size[x] - pos[x])
            # = range(0, source.size[x]) can be used for navigating the source image.

            sx = i - pos[0]
            sy = j - pos[1]

            # Change color of the pixels
            tmap[i, j] = smap[sx, sy]

    return target
#======================

#WIDTH, HEIGHT = 200, 150 #1
# IMAGES = [i for i in listdir(path) if (i.endswith('.jpg') or  i.endswith('.png'))] #2

laurel=Image.open("laurel.jpg")
laurel.convert('RGB')

for image in files:
    print(image)
    tt=""    
    for size in sizes:
      im=Image.open(path+"/"+image)
      im.thumbnail(size)
      im.convert('RGB')
      iwidth,iheight = im.size
      iw=int(iwidth/2);ih=int(iheight/2);
      laurel.paste(im,(369-iw,202-ih))
      laurel.save(path2+tt+image,"JPEG")
      tt=tt+"q"
 

     
print("fertig")      

